<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Writer\Pdf</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Create a new PDF Writer instance.">
            <span class="description">Create a new PDF Writer instance.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getFont" title="getFont ::Get Font.">
            <span class="description">Get Font.</span><pre>getFont</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getOrientation" title="getOrientation ::Get Orientation.">
            <span class="description">Get Orientation.</span><pre>getOrientation</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getPaperSize" title="getPaperSize ::Get Paper Size.">
            <span class="description">Get Paper Size.</span><pre>getPaperSize</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getTempDir" title="getTempDir ::Get temporary storage directory.">
            <span class="description">Get temporary storage directory.</span><pre>getTempDir</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setFont" title="setFont ::Set font. Examples:
     &#039;arialunicid0-chinese-simplified&#039;
     &#039;arialunicid0-chinese-traditional&#039;
     &#039;arialunicid0-korean&#039;
     &#039;arialunicid0-japanese&#039;.">
            <span class="description">Set font. Examples:
     &#039;arialunicid0-chinese-simplified&#039;
     &#039;arialunicid0-chinese-traditional&#039;
     &#039;arialunicid0-korean&#039;
     &#039;arialunicid0-japanese&#039;.</span><pre>setFont</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setOrientation" title="setOrientation ::Set Orientation.">
            <span class="description">Set Orientation.</span><pre>setOrientation</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setPaperSize" title="setPaperSize ::Set Paper Size.">
            <span class="description">Set Paper Size.</span><pre>setPaperSize</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setTempDir" title="setTempDir ::Set temporary storage directory.">
            <span class="description">Set temporary storage directory.</span><pre>setTempDir</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>                        <li class="methodprotected">
                            <a href="#method_prepareForSave" title="prepareForSave ::Save Spreadsheet to PDF file, pre-save.">
                                <span class="description">Save Spreadsheet to PDF file, pre-save.</span><pre>prepareForSave</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_restoreStateAfterSave" title="restoreStateAfterSave ::Save PhpSpreadsheet to PDF file, post-save.">
                                <span class="description">Save PhpSpreadsheet to PDF file, post-save.</span><pre>restoreStateAfterSave</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Pdf</h1>
                <small style="display: block; text-align: right">                        Extends\PhpOffice\PhpSpreadsheet\Writer\Html                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create a new PDF Writer instance.</h2>
                            <pre>__construct(\PhpOffice\PhpSpreadsheet\Spreadsheet $spreadsheet)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$spreadsheet</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a></code><p><p>Spreadsheet object</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_getFont"></a>
                        <div class="element clickable methodpublic method_getFont" data-toggle="collapse" data-target=".method_getFont .collapse">
                            <h2>Get Font.</h2>
                            <pre>getFont(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getOrientation"></a>
                        <div class="element clickable methodpublic method_getOrientation" data-toggle="collapse" data-target=".method_getOrientation .collapse">
                            <h2>Get Orientation.</h2>
                            <pre>getOrientation(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getPaperSize"></a>
                        <div class="element clickable methodpublic method_getPaperSize" data-toggle="collapse" data-target=".method_getPaperSize .collapse">
                            <h2>Get Paper Size.</h2>
                            <pre>getPaperSize(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getTempDir"></a>
                        <div class="element clickable methodpublic method_getTempDir" data-toggle="collapse" data-target=".method_getTempDir .collapse">
                            <h2>Get temporary storage directory.</h2>
                            <pre>getTempDir(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_prepareForSave"></a>
                        <div class="element clickable methodprotected method_prepareForSave" data-toggle="collapse" data-target=".method_prepareForSave .collapse">
                            <h2>Save Spreadsheet to PDF file, pre-save.</h2>
                            <pre>prepareForSave(string $pFilename): resource</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Writer\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pFilename</h4>
                                                <code>string</code><p><p>Name of the file to save as</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>resource</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_restoreStateAfterSave"></a>
                        <div class="element clickable methodprotected method_restoreStateAfterSave" data-toggle="collapse" data-target=".method_restoreStateAfterSave .collapse">
                            <h2>Save PhpSpreadsheet to PDF file, post-save.</h2>
                            <pre>restoreStateAfterSave(resource $fileHandle)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$fileHandle</h4>
                                                <code>resource</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setFont"></a>
                        <div class="element clickable methodpublic method_setFont" data-toggle="collapse" data-target=".method_setFont .collapse">
                            <h2>Set font. Examples:
     &#039;arialunicid0-chinese-simplified&#039;
     &#039;arialunicid0-chinese-traditional&#039;
     &#039;arialunicid0-korean&#039;
     &#039;arialunicid0-japanese&#039;.</h2>
                            <pre>setFont(string $fontName): \PhpOffice\PhpSpreadsheet\Writer\Pdf</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$fontName</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Writer.Pdf.html">\PhpOffice\PhpSpreadsheet\Writer\Pdf</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setOrientation"></a>
                        <div class="element clickable methodpublic method_setOrientation" data-toggle="collapse" data-target=".method_setOrientation .collapse">
                            <h2>Set Orientation.</h2>
                            <pre>setOrientation(string $pValue): self</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p><p>Page orientation see PageSetup::ORIENTATION_*</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>self</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setPaperSize"></a>
                        <div class="element clickable methodpublic method_setPaperSize" data-toggle="collapse" data-target=".method_setPaperSize .collapse">
                            <h2>Set Paper Size.</h2>
                            <pre>setPaperSize(string $pValue): self</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p><p>Paper size see PageSetup::PAPERSIZE_*</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>self</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setTempDir"></a>
                        <div class="element clickable methodpublic method_setTempDir" data-toggle="collapse" data-target=".method_setTempDir .collapse">
                            <h2>Set temporary storage directory.</h2>
                            <pre>setTempDir(string $pValue): self</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Writer\Exception</dt>
                                                        <dd><p>when directory does not exist</p></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p><p>Temporary storage directory</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>self</code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_tempDir"> </a>
                            <div class="element clickable propertyprotected property_tempDir" data-toggle="collapse" data-target=".property_tempDir .collapse">
                                <h2>Temporary storage directory.</h2>
                                <pre>tempDir :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_font"> </a>
                            <div class="element clickable propertyprotected property_font" data-toggle="collapse" data-target=".property_font .collapse">
                                <h2>Font.</h2>
                                <pre>font :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_orientation"> </a>
                            <div class="element clickable propertyprotected property_orientation" data-toggle="collapse" data-target=".property_orientation .collapse">
                                <h2>Orientation (Over-ride).</h2>
                                <pre>orientation :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_paperSize"> </a>
                            <div class="element clickable propertyprotected property_paperSize" data-toggle="collapse" data-target=".property_paperSize .collapse">
                                <h2>Paper size (Over-ride).</h2>
                                <pre>paperSize :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_saveArrayReturnType"> </a>
                            <div class="element clickable propertyprivate property_saveArrayReturnType" data-toggle="collapse" data-target=".property_saveArrayReturnType .collapse">
                                <h2>Temporary storage for Save Array Return type.</h2>
                                <pre>saveArrayReturnType :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_paperSizes"> </a>
                            <div class="element clickable propertyprotected property_paperSizes" data-toggle="collapse" data-target=".property_paperSizes .collapse">
                                <h2>Paper Sizes xRef List.</h2>
                                <pre>paperSizes :array</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Writer\Pdf"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Writer.html">Writer</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Writer.Pdf.html">Pdf</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:46 +0000.<br/>
    </footer></body>
</html>
